﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            webBrowser1.Navigate("http://xui.ptlogin2.qq.com/cgi-bin/xlogin?appid=549000912&daid=5&style=40&s_url=http://qun.qzone.qq.com/group");
            webBrowser1.ProgressChanged += WebBrowser1_ProgressChanged;
            webBrowser1.Navigated += WebBrowser1_Navigated;
        }

        private void WebBrowser1_Navigated(object sender, WebBrowserNavigatedEventArgs e)
        {
            if (webBrowser1.Url.ToString().StartsWith("http://qun.qzone.qq.com"))
            {
                this.Hide();
            }
        }

        private void WebBrowser1_ProgressChanged(object sender, WebBrowserProgressChangedEventArgs e)
        {
            
            if (webBrowser1.Url.ToString().StartsWith("http://qun.qzone.qq.com"))
            {
                HtmlElement groupList = webBrowser1.Document.GetElementById("my_group_list_container");
                if (groupList == null)
                {
                    return;
                }
                webBrowser1.ProgressChanged -= WebBrowser1_ProgressChanged;
                string groupListText = webBrowser1.DocumentText;
                string groupid = "这里是你的QQ群ID";
                if (Regex.IsMatch(groupListText, $"data-groupid=\"{groupid}\""))
                {
                    MessageBox.Show("验证成功");
                    CloseChrome();
                    Form2 form2 = new Form2();
                    form2.Show();
                    
                }
                else
                {
                    MessageBox.Show("请加指定交流群入本群");
                    CloseChrome();
                    Application.Exit();
                }
            }
        }
        public void CloseChrome()
        {
            if (webBrowser1 != null)
            {
                webBrowser1.Dispose();
            }
        }

    }
}
